<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (boughtItem()) {
      <div>
        <h2 data-cy="boughtItemDetailsHeading"><span jhiTranslate="realTimeBeveragesApp.boughtItem.detail.title">Bought Item</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.image">Image</span></dt>
          <dd>
            @if (boughtItem()!.offer?.image) {
              <div>
                <a (click)="openFile(boughtItem()!.offer?.image ?? '', boughtItem()!.offer?.imageContentType)">
                  <img
                    [src]="'data:' + boughtItem()!.offer?.imageContentType + ';base64,' + boughtItem()!.offer?.image"
                    style="max-width: 100%"
                    alt="offeredItem"
                  />
                </a>
                {{ boughtItem()!.offer?.imageContentType }}, {{ byteSize(boughtItem()!.offer?.image ?? '') }}
              </div>
            }
          </dd>
          <dt><span jhiTranslate="global.field.id">ID</span></dt>
          <dd>
            <span>{{ boughtItem()!.id }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.name">Name</span></dt>
          <dd>
            <span>{{ boughtItem()!.name }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.price">Price</span></dt>
          <dd>
            <span>{{ boughtItem()!.price }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.boughtTime">Bought Time</span></dt>
          <dd>
            <span>{{ boughtItem()!.boughtTime | formatMediumDatetime }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.billingTime">Billing Time</span></dt>
          <dd>
            <span>{{ boughtItem()!.billingTime | formatMediumDatetime }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.paidTime">Paid Time</span></dt>
          <dd>
            <span>{{ boughtItem()!.paidTime | formatMediumDatetime }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.amount">Amount</span></dt>
          <dd>
            <span>{{ boughtItem()!.amount }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.offer">Offer</span></dt>
          <dd>
            @if (boughtItem()!.offer) {
              <div>
                <a [routerLink]="['/offered-item', boughtItem()!.offer?.id, 'view']">{{ boughtItem()!.offer?.id }}</a>
              </div>
            }
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.boughtItem.buyer">Buyer</span></dt>
          <dd>
            <span>{{ boughtItem()!.buyer?.id }}</span>
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Zurück</span>
        </button>

        <button type="button" [routerLink]="['/bought-item', boughtItem()!.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Bearbeiten</span>
        </button>
      </div>
    }
  </div>
</div>
